
Redmine - Feature #15029

When filter by "blocked by" = "any", take into account if blocking issue is already closed (so no

really blocking)

2013-10-02 18:40 - Diego Bonfil Traver

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I use this filter to filter out some issues that can not be done yet because they are blocked by another one.

But, I think it will be very useful to take into account if the blocking issue is already closed. This way, the initially blocked issue will be

no longer blocked.

I like to keep the issues relations, even when the related issues are closed.

I do not know if this is a defect or a feature. If in doubt, can you add some extra values in the filter? I mean, "blocked by" + "any -

anytime" + "any - now", ...

Related issues:

Has duplicate Redmine - Feature #19171: "any open / none open" filter for ( f... Closed

Is duplicate of Redmine - Feature #16621: Ability to filter issues blocked by... Closed

History

#1 - 2013-10-28 15:19 - Arthur Andersen

- File redmine_add_relation_filters.patch added

I wrote a patch that adds relation filters: 

'any open issues'

'none or closed issues'

Currently only the english localisations were added.

Though I suggest a german translation:

label_any_open_issues: irgendein offenes Ticket

label_none_or_closed_issues: kein Ticket oder geschlossene Tickets

#2 - 2014-03-04 16:30 - Arthur Andersen

I hope this will be merged any time soon. A simple patch, guys. Please :-)

#3 - 2014-05-09 11:27 - Toshi MARUYAMA

- Related to Feature #16621: Ability to filter issues blocked by any/no open issues added

#4 - 2015-06-10 04:14 - Mischa The Evil

- Has duplicate Feature #19171: "any open / none open" filter for ( follows / blocked ) relationships added

#5 - 2015-09-03 20:28 - Maxim Nikolaevich

just FYI: i created patch long time ago for this feature. It was placed #4985#note-7

#6 - 2015-12-01 13:59 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate
https://www.redmine.org/issues/4985#note-7


I think this issue is fixed by #16621.

#7 - 2015-12-01 13:59 - Toshi MARUYAMA

- Related to deleted (Feature #16621: Ability to filter issues blocked by any/no open issues)

#8 - 2015-12-01 13:59 - Toshi MARUYAMA

- Is duplicate of Feature #16621: Ability to filter issues blocked by any/no open issues added

Files

redmine_add_relation_filters.patch 5.25 KB 2013-10-28 Arthur Andersen
